import gTable from './components/gTable/index.vue';
import gTablePagination from './components/gTablePagination/index.vue';
import gTableToolbar from './components/gTableToolbar/index.vue';
import gTableAvatar from './components/gTableComponents/gTableAvatar/index.vue';
import gTableColor from './components/gTableComponents/gTableColor/index.vue';
import gTableDate from './components/gTableComponents/gTableDate/index.vue';
import gTableDatetime from './components/gTableComponents/gTableDatetime/index.vue';
import gTableImage from './components/gTableComponents/gTableImage/index.vue';
import gTableInput from './components/gTableComponents/gTableInput/index.vue';
import gTableStatus from './components/gTableComponents/gTableStatus/index.vue';
import gTableTime from './components/gTableComponents/gTableTime/index.vue';
import gTableUrl from './components/gTableComponents/gTableUrl/index.vue';

const components = [
  gTable, gTablePagination, gTableToolbar, gTableAvatar, gTableColor, gTableDate, gTableDatetime, gTableImage, gTableInput, gTableStatus, gTableTime, gTableUrl
]

const install = (app: any) => {
  components.forEach((component: any) => {
    app.component(component.name, component)
  })
}

export default install
